Page MenuHomeFreeBSD

D7609.diff
No OneTemporary

D7609.diff

Index: head/bin/ls/tests/ls_tests.sh
===================================================================
--- head/bin/ls/tests/ls_tests.sh
+++ head/bin/ls/tests/ls_tests.sh
@@ -84,6 +84,14 @@
{
create_test_dir
+ if ! getconf MIN_HOLE_SIZE "$(pwd)"; then
+ echo "getconf MIN_HOLE_SIZE $(pwd) failed; sparse files probably" \
+ "not supported by file system"
+ mount
+ atf_skip "Test's work directory does not support sparse files;" \
+ "try with a different TMPDIR?"
+ fi
+
for filesize in 1 512 $(( 2 * $KB )) $(( 10 * $KB )) $(( 512 * $KB )); \
do
atf_check -e ignore -o empty -s exit:0 \

File Metadata

Mime Type
text/plain
Expires
Wed, Apr 22, 6:03 AM (14 h, 14 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
31957622
Default Alt Text
D7609.diff (636 B)

Event Timeline